<?php

if ( !defined( 'SMARTY_DIR' ) ) {
	include_once( 'init.php' );
}

include_once(MODOSDATE_DIR . 'modOsDate.php');

$modOsDate = new modOsDate();

$pdata = $modOsDate->checkPluginInstalled('luckySpinGender');

if ($pdata) {

  $param['for_pluginid'] = $pdata['id'];
  $accessdata = $modOsDate->modGetAccessRights($param);

	if ( isset($accessdata['access']) && $accessdata['access'] == 1 ) {

		$t->assign('LuckySpinOK','1');

		include_once(PLUGIN_DIR . 'luckySpinGender/libs/luckySpinGender.php');

		$pluginobject = new luckySpinGender();

		$t->assign("spinGender", $_REQUEST['spinGender']);

	/* Make a DIV for luckyspin to enable dynamic spinning */
		$t->assign("MaleProfile",$pluginobject->displayGenderCol('M'));
		$t->assign("FemaleProfile",$pluginobject->displayGenderCol('F'));
		$t->assign("CoupleProfile",$pluginobject->displayGenderCol('C'));

	}

    $t->assign('luckySpinGenders', $t->fetch("luckySpin_gender.tpl") );
}

?>